Subject: [rfc-i] kramdown.cgi no space left on device

From: Sergio Garcia Murillo <[email-masked]>
Date: Wed, 20 Oct 2021 22:28:44 +0200

Hi all,

Not sure if this is the correct place to ask, but I am getting the
following error message on https://xml2rfc.tools.ietf.org/experimental.html
when trying to convert a markdown document to xml

Generating outputRunning kramdown-rfc2629
------------------------------

*** overwriting RFC2119
*** overwriting RFC7675
*** overwriting RFC8863
*** overwriting RFC8840
*** overwriting RFC8853
.refcache/reference.RFC.8840.xml: renewing (stale by 58.3 days)
/usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:714:in
`write': No space left on device @ fptr_finalize_flush -
.refcache/reference.RFC.8840.xml (Errno::ENOSPC)
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:714:in
`block (2 levels) in get_and_cache_resource'
	from /usr/local/lib/ruby/2.6.0/open-uri.rb:169:in `open_uri'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:709:in
`block in get_and_cache_resource'
	from /usr/local/lib/ruby/2.6.0/timeout.rb:93:in `block in timeout'
	from /usr/local/lib/ruby/2.6.0/timeout.rb:33:in `block in catch'
	from /usr/local/lib/ruby/2.6.0/timeout.rb:33:in `catch'
	from /usr/local/lib/ruby/2.6.0/timeout.rb:33:in `catch'
	from /usr/local/lib/ruby/2.6.0/timeout.rb:108:in `timeout'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:703:in
`get_and_cache_resource'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:785:in
`block in convert_img'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:775:in
`scan'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:775:in
`convert_img'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:208:in
`block in inner_a'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in
`map'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in
`inner_a'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:213:in
`inner'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:226:in
`convert_p'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:208:in
`block in inner_a'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in
`map'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in
`inner_a'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:213:in
`inner'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:957:in
`convert_root'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:201:in
`convert1'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:196:in
`convert'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-1.17.0/lib/kramdown/converter/base.rb:105:in
`convert'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-1.17.0/lib/kramdown/document.rb:117:in
`method_missing'
	from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/bin/kramdown-rfc2629:398:in
`<top (required)>'
	from /usr/local/bin/kramdown-rfc2629:23:in `load'
	from /usr/local/bin/kramdown-rfc2629:23:in `<main>'

<https://drive.google.com/u/0/settings/storage?hl=es&utm_medium=web&utm_source=gmail&utm_campaign=storage_meter&utm_content=storage_high>
<https://www.google.com/intl/es/policies/terms/>
<https://www.google.com/intl/es/policies/privacy/>
<https://www.google.com/gmail/about/policy/>
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: "HANSEN, TONY L" <[email-masked]>
Date: Thu, 21 Oct 2021 03:55:18 +0000

I was able to clear up some space in one of the filesystems. Try again.

                Tony

From: rfc-interest <[email-masked]> on behalf of Sergio Garcia Murillo <[email-masked]>
Date: Wednesday, October 20, 2021 at 4:29 PM
To: "[email-masked]" <[email-masked]>
Subject: [rfc-i] kramdown.cgi no space left on device

Hi all,

Not sure if this is the correct place to ask, but I am getting the following error message on https://xml2rfc.tools.ietf.org/experimental.html<https://urldefense.com/v3/__https:/xml2rfc.tools.ietf.org/experimental.html__;!!BhdT!0WRVGlBSOOjZMwoLk4GD5o6pCd1_SCnRSD2e_ondT135JyZ7niiihFqBJA$> when trying to convert a markdown document to xml

Generating output
Running kramdown-rfc2629
________________________________

*** overwriting RFC2119

*** overwriting RFC7675

*** overwriting RFC8863

*** overwriting RFC8840

*** overwriting RFC8853

/usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:714:in `write': No space left on device @ fptr_finalize_flush - .refcache/reference.RFC.8840.xml (Errno::ENOSPC)

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:714:in `block (2 levels) in get_and_cache_resource'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:709:in `block in get_and_cache_resource'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:703:in `get_and_cache_resource'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:785:in `block in convert_img'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:775:in `scan'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:775:in `convert_img'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:208:in `block in inner_a'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in `map'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in `inner_a'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:213:in `inner'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:226:in `convert_p'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:208:in `block in inner_a'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in `map'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in `inner_a'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:213:in `inner'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:957:in `convert_root'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:201:in `convert1'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:196:in `convert'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-1.17.0/lib/kramdown/converter/base.rb:105:in `convert'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-1.17.0/lib/kramdown/document.rb:117:in `method_missing'

        from /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/bin/kramdown-rfc2629:398:in `<top (required)>'

<https://urldefense.com/v3/__https:/drive.google.com/u/0/settings/storage?hl=es&utm_medium=web&utm_source=gmail&utm_campaign=storage_meter&utm_content=storage_high__;!!BhdT!0WRVGlBSOOjZMwoLk4GD5o6pCd1_SCnRSD2e_ondT135JyZ7nig7fN5cvg$>

---

From: Sergio Garcia Murillo <[email-masked]>
Date: Thu, 21 Oct 2021 10:13:52 +0200

It worked perfectly, thank you!

Best regards
Sergio

El mié, 20 oct 2021 a las 23:45, Kesara Rathnayake (<[email-masked]>)
escribió:

> Hi Sergio,
>
> https://author-tools.ietf.org/ will replace xml2rfc.tools.ietf.org soon.
>
> Can you try using https://author-tools.ietf.org/ for this
> kramdown-rfc2629 conversion?
>
> Regards,
> Kesara
>
>
>
> On 21/10/21 9:28 am, Sergio Garcia Murillo wrote:
> > Hi all,
> >
> > following error message on
> > https://xml2rfc.tools.ietf.org/experimental.html
> > <https://xml2rfc.tools.ietf.org/experimental.html> when trying to
> > convert a markdown document to xml
> >
> >
> >
> >
> >
> >   Generating output
> >
> >
> >     Running kramdown-rfc2629
> >
> > ------------------------------------------------------------------------
> >
> > *** overwriting RFC2119
> > *** overwriting RFC7675
> > *** overwriting RFC8863
> > *** overwriting RFC8840
> > *** overwriting RFC8853
> >       from
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:709:in
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:703:in
> `get_and_cache_resource'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:785:in
> `block in convert_img'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:775:in
> `scan'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:775:in
> `convert_img'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:208:in
> `block in inner_a'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in
> `map'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in
> `inner_a'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:213:in
> `inner'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:226:in
> `convert_p'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:208:in
> `block in inner_a'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in
> `map'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:206:in
> `inner_a'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:213:in
> `inner'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:957:in
> `convert_root'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:201:in
> `convert1'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/lib/kramdown-rfc2629.rb:196:in
> `convert'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-1.17.0/lib/kramdown/converter/base.rb:105:in
> `convert'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-1.17.0/lib/kramdown/document.rb:117:in
> `method_missing'
> >       from
> /usr/local/lib/ruby/gems/2.6.0/gems/kramdown-rfc2629-1.3.24/bin/kramdown-rfc2629:398:in
> `<top (required)>'
> > <
> https://drive.google.com/u/0/settings/storage?hl=es&utm_medium=web&utm_source=gmail&utm_campaign=storage_meter&utm_content=storage_high
> >
> > <https://www.google.com/intl/es/policies/terms/><
> https://www.google.com/intl/es/policies/privacy/><
> https://www.google.com/gmail/about/policy/>
> >
> >
> >
> >
> --
> Kesara Rathnayake
> Senior Software Development Engineer - IETF LLC
> [email-masked]
>

---

From: Sergio Garcia Murillo <[email-masked]>
Date: Thu, 21 Oct 2021 10:16:04 +0200

I am still getting the out of space error, but managed to convert the draft
with the authors-tolls instead.

Best regards
Sergio

El jue, 21 oct 2021 a las 5:55, HANSEN, TONY L (<[email-masked]>) escribió:

> *From: *rfc-interest <[email-masked]> on behalf of
> Sergio Garcia Murillo <[email-masked]>
> *Date: *Wednesday, October 20, 2021 at 4:29 PM
> *To: *"[email-masked]" <[email-masked]>
> *Subject: *[rfc-i] kramdown.cgi no space left on device
>
>
>
> Hi all,
>
>
>
> <https://urldefense.com/v3/__https:/xml2rfc.tools.ietf.org/experimental.html__;!!BhdT!0WRVGlBSOOjZMwoLk4GD5o6pCd1_SCnRSD2e_ondT135JyZ7niiihFqBJA$>
> Generating output Running kramdown-rfc2629

---

From: "HANSEN, TONY L" <[email-masked]>
Date: Thu, 21 Oct 2021 13:28:23 +0000

Found more space to be cleaned up.

                Tony

From: Sergio Garcia Murillo <[email-masked]>
Date: Thursday, October 21, 2021 at 4:16 AM
To: "HANSEN, TONY L" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [rfc-i] kramdown.cgi no space left on device

I am still getting the out of space error, but managed to convert the draft with the authors-tolls instead.

Best regards
Sergio

El jue, 21 oct 2021 a las 5:55, HANSEN, TONY L (<[email-masked]<mailto:[email-masked]>>) escribió:
I was able to clear up some space in one of the filesystems. Try again.

                Tony

From: rfc-interest <[email-masked]<mailto:[email-masked]>> on behalf of Sergio Garcia Murillo <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, October 20, 2021 at 4:29 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [rfc-i] kramdown.cgi no space left on device

Hi all,

Generating output
Running kramdown-rfc2629

*** overwriting RFC2119

*** overwriting RFC7675

*** overwriting RFC8863

*** overwriting RFC8840

*** overwriting RFC8853

---

From: Kesara Rathnayake <[email-masked]>
Date: Thu, 21 Oct 2021 10:45:19 +1300

Hi Sergio,

Regards,
Kesara

On 21/10/21 9:28 am, Sergio Garcia Murillo wrote:
> <https://www.google.com/intl/es/policies/terms/><https://www.google.com/intl/es/policies/privacy/><https://www.google.com/gmail/about/policy/>
> 	
> 
> 
>